GNU bug report logs - #44753
27.1; arc-mode does not extract marked files

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Vladimir Nikishkin <lockywolf@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 44753 <at> debbugs.gnu.org:


Received: (at 44753) by debbugs.gnu.org; 24 Nov 2020 08:01:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 24 03:01:40 2020
Received: from localhost ([127.0.0.1]:57321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khTGe-000777-FR
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2020 03:01:40 -0500
Received: from mail-lj1-f174.google.com ([209.85.208.174]:40435)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lockywolf@HIDDEN>) id 1khTGa-0006yd-5S
 for 44753 <at> debbugs.gnu.org; Tue, 24 Nov 2020 03:01:36 -0500
Received: by mail-lj1-f174.google.com with SMTP id y10so5474420ljc.7
 for <44753 <at> debbugs.gnu.org>; Tue, 24 Nov 2020 00:01:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=17KWOPcczXSJKJ2nMYwESiJ4/kCyG+i1S8vq0w/IiWo=;
 b=fUkcebAObHMNms9UylCWGTGtU3BMk5QOPYxt3TJ8dqi+T8tz6lHmY3Bne2nlQSYAvG
 wc+rTNh9feEJyH8kKGEoISg8B9RnQLEwYdbqmi/o2rH9g5ktBDcdpLzIcxFsXpT7hSxC
 Fydgw88A2KfEcjlS9Xv028dQWf4EFZdDVwm90dZW+A/yVRXYaUQiBUVUlYEW/c5v+jX0
 Dpc+lD/m0/b45wniqxTPYzpEGugqNHif9VimEXUrpQ5ddBMrutSXHfzUM9LkeanFKCQd
 bKlQL9V9a4/BKZ7vQXjLwah+VmakalybLRwW9VV/mguofVpV24cyGgpB0QcA3BcwmY2z
 XTqw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=17KWOPcczXSJKJ2nMYwESiJ4/kCyG+i1S8vq0w/IiWo=;
 b=U1TZL4w789i8f8sYhMByLu4bBX2LqVceys9rncYssfzXMyA1GIftcZwG4uo3OSz7cY
 Q/tvqgzLzHuT15eKon4po7eUR4Xoe+yTO2LcaO1hWB+OE6SjQGj4224LFIqMSOAkqrVq
 1i0AB4pw3wGlSDS9V/l3AtxBp8Kt4dFoJLM2S9V/7Z9NQetkIBwhtOGK/egiCnZMS/d7
 YxTDoBt5l1JerzQH33WjhkoTTlAcLJMiZ9GKI6/ckPCGYzOO/k4Z2brVM2pWLwb1xqQ+
 c7JRAgz3FI6TUlMCBI7bzoBp1dtSHPto+baA9wtRKZ7Z4tKub06bVJpiUx/IOnS34IC1
 NUQg==
X-Gm-Message-State: AOAM533m7V0h/MibC+Hm6IJiO9KJdOdfxBr75ja1koRfJuk/tc3Put50
 a8eOXQg+Orv9SbtMIp2th3Cv5N+aGJ2Duy9qhpQ=
X-Google-Smtp-Source: ABdhPJywbDKWAPPA/6cm6nxZfkqEftsZz5oNyITktEPtJRUgIy+wvXBwupdNYzwSj4UZl+tDVjgv7/jvRLdAlD4F23o=
X-Received: by 2002:a2e:535a:: with SMTP id t26mr402069ljd.87.1606204889659;
 Tue, 24 Nov 2020 00:01:29 -0800 (PST)
MIME-Version: 1.0
References: <87zh3c4soy.fsf@HIDDEN> <87k0ub8aef.fsf@HIDDEN>
In-Reply-To: <87k0ub8aef.fsf@HIDDEN>
From: Vladimir Nikishkin <lockywolf@HIDDEN>
Date: Tue, 24 Nov 2020 16:01:15 +0800
Message-ID: <CA+A2iZaXF4OjpcTLuA+ZN9ueqcqWqGbzME=7JXM6ZC1ATMzffA@HIDDEN>
Subject: Re: bug#44753: 27.1; arc-mode does not extract marked files
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000e27da305b4d5b76a"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44753
Cc: 44753 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000e27da305b4d5b76a
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Awesome, thanks.  I expected... well, maybe, mistakenly, the buffer to
behave roughly like a dired buffer.

--
Yours sincerely, Vladimir Nikishkin
(Sent with Google mail mobile.)

Lars Ingebrigtsen <larsi@HIDDEN> =E4=BA=8E 2020=E5=B9=B411=E6=9C=8824=E6=
=97=A5=E5=91=A8=E4=BA=8C 15:46=E5=86=99=E9=81=93=EF=BC=9A

> Vladimir Nikishkin <lockywolf@HIDDEN> writes:
>
> > What I do is I visit an archive, mark entries with `m', which adds an
> > asterisk next to their name, and then type `e' or `f', expecting to be
> > asked for a directory name to extract these files to.
>
> I'm not quite sure why you'd expect that -- the doc string of these
> commands say "In archive mode, extract this entry of the archive into
> its own buffer."
>
> In any case, in Emacs 28, there's a new `C' command that'll extract
> archive members and write them to disk.  I've now adjusted the command
> so that it'll respect the marked files.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

--000000000000e27da305b4d5b76a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Awesome, thanks.=C2=A0 I expected... well, maybe, mistake=
nly, the buffer to behave roughly like a dired buffer.<br><br><div data-sma=
rtmail=3D"gmail_signature">--<br>Yours sincerely, Vladimir Nikishkin<br>(Se=
nt with Google mail mobile.)</div></div><br><div class=3D"gmail_quote"><div=
 dir=3D"ltr" class=3D"gmail_attr">Lars Ingebrigtsen &lt;<a href=3D"mailto:l=
arsi@HIDDEN">larsi@HIDDEN</a>&gt; =E4=BA=8E 2020=E5=B9=B411=E6=9C=8824=
=E6=97=A5=E5=91=A8=E4=BA=8C 15:46=E5=86=99=E9=81=93=EF=BC=9A<br></div><bloc=
kquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #cc=
c solid;padding-left:1ex">Vladimir Nikishkin &lt;<a href=3D"mailto:lockywol=
f@HIDDEN" target=3D"_blank" rel=3D"noreferrer">lockywolf@HIDDEN</a>&g=
t; writes:<br>
<br>
&gt; What I do is I visit an archive, mark entries with `m&#39;, which adds=
 an<br>
&gt; asterisk next to their name, and then type `e&#39; or `f&#39;, expecti=
ng to be<br>
&gt; asked for a directory name to extract these files to.<br>
<br>
I&#39;m not quite sure why you&#39;d expect that -- the doc string of these=
<br>
commands say &quot;In archive mode, extract this entry of the archive into<=
br>
its own buffer.&quot;<br>
<br>
In any case, in Emacs 28, there&#39;s a new `C&#39; command that&#39;ll ext=
ract<br>
archive members and write them to disk.=C2=A0 I&#39;ve now adjusted the com=
mand<br>
so that it&#39;ll respect the marked files.<br>
<br>
-- <br>
(domestic pets only, the antidote for overdose, milk.)<br>
=C2=A0 =C2=A0bloggy blog: <a href=3D"http://lars.ingebrigtsen.no" rel=3D"no=
referrer noreferrer" target=3D"_blank">http://lars.ingebrigtsen.no</a><br>
</blockquote></div>

--000000000000e27da305b4d5b76a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44753; Package emacs. Full text available.
bug marked as fixed in version 28.1, send any further explanations to 44753 <at> debbugs.gnu.org and Vladimir Nikishkin <lockywolf@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44753 <at> debbugs.gnu.org:


Received: (at 44753) by debbugs.gnu.org; 24 Nov 2020 07:46:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 24 02:46:45 2020
Received: from localhost ([127.0.0.1]:57279 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khT2C-0005GW-W8
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2020 02:46:45 -0500
Received: from quimby.gnus.org ([95.216.78.240]:50256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1khT2B-0005GH-4T
 for 44753 <at> debbugs.gnu.org; Tue, 24 Nov 2020 02:46:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=j2b2k8aG8l7BRPKpPOCr5j/3nO6DDBZlcDpf8rm+wYM=; b=bxSLiHJwN2Jye1ZmYPzB7dJA+j
 0OYEtFvi2gsdmJqd02M9mktHtvKxdFGtXQPp14UUDx/G3aOL9f8w3vaZXY/iuLqIsvlIoFPjV55Rb
 dHaH2GQuz8I1ywp9yDbNPYEVT9PX/Z3fRwrig2g0dFitpxPtfmXfmIy/NIAFe7DLQzJc=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1khT21-0000ux-Od; Tue, 24 Nov 2020 08:46:36 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Vladimir Nikishkin <lockywolf@HIDDEN>
Subject: Re: bug#44753: 27.1; arc-mode does not extract marked files
References: <87zh3c4soy.fsf@HIDDEN>
X-Now-Playing: Fad Gadget's _Fireside Favourites_: "Pedestrian"
Date: Tue, 24 Nov 2020 08:46:32 +0100
In-Reply-To: <87zh3c4soy.fsf@HIDDEN> (Vladimir Nikishkin's
 message of "Fri, 20 Nov 2020 11:23:41 +0800")
Message-ID: <87k0ub8aef.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Vladimir Nikishkin <lockywolf@HIDDEN> writes: > What I
 do is I visit an archive, mark entries with `m', which adds an > asterisk
 next to their name, and then type `e' or `f', expecting to be > asked for
 a directory name to extract these files to. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44753
Cc: 44753 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Vladimir Nikishkin <lockywolf@HIDDEN> writes:

> What I do is I visit an archive, mark entries with `m', which adds an
> asterisk next to their name, and then type `e' or `f', expecting to be
> asked for a directory name to extract these files to.

I'm not quite sure why you'd expect that -- the doc string of these
commands say "In archive mode, extract this entry of the archive into
its own buffer."

In any case, in Emacs 28, there's a new `C' command that'll extract
archive members and write them to disk.  I've now adjusted the command
so that it'll respect the marked files.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44753; Package emacs. Full text available.

Message received at 44753 <at> debbugs.gnu.org:


Received: (at 44753) by debbugs.gnu.org; 24 Nov 2020 06:07:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 24 01:07:19 2020
Received: from localhost ([127.0.0.1]:52217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1khRTz-0002oj-2N
	for submit <at> debbugs.gnu.org; Tue, 24 Nov 2020 01:07:19 -0500
Received: from quimby.gnus.org ([95.216.78.240]:49348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1khRTx-0002oR-Ax
 for 44753 <at> debbugs.gnu.org; Tue, 24 Nov 2020 01:07:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=FT8nE9Wa8pO2GFfnVB1b9zUJaoQEejYTzUCz7uneEAA=; b=nn4GAIzSLfopPzVIryUNjvn6l5
 pn4fTHqi9yuqUykuAX9OVZjl+IelhVoh78tIxAfvFi/LCWdA6kEFVhBx6PSzxxbNCNyOEEGcHCCST
 tGRJ/akyzBiQs/47lUGfOLdcZ0xlqVl32esuBS107gzy+Y6N/8AT+5OzTiUwFwHHjypc=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1khRTg-0000CD-Ug; Tue, 24 Nov 2020 07:07:11 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#44753: 27.1; arc-mode does not extract marked files
References: <87zh3c4soy.fsf@HIDDEN> <831rgo1mex.fsf@HIDDEN>
 <87sg94ied8.fsf@HIDDEN> <83wnygz1py.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEWwcUThrmPKurLx
 3uD///9ubg/NAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+QLGAUYJ4KmUowAAAGWSURBVDjLZVSLscMw
 CMN9C9jOAqmYILD/bg9E/vWlvdRCQoBdkdYGviPW9Fh8maoqvcXrCdjgm0FlSOsi0mQsAVTEhPsB
 SO9/B2FMDWBfq/T4tRUAdUsREloCY1LL1TT2RkL4zlRSAoYCRhfgG4R18crhAHVayxKSYPQeKSD0
 +iGwjYmhe6XlCQgjVUR8LwVE5WHiaEeKFdCXDbanSBU9Gcv0C1iYiUAblCkpbvVPARuC7/nYqIAw
 EnU0J8X8WhYmkabyh+6fgxJtH4sdDL3AGFT08hKygjkovcsrMaSreUkfBMtYeRiyfJSR4sW8iTHQ
 ngwiTArB1Od+2Qq701+MOG0Gr3N274eZ5thk+A+jXL0IYQXMIu/4dG/+A9Cp75Xfd1M+jsBDCroX
 XRXegJ3gmnN6MJwabmcTL6D69wKuKd6BOBiP8bLtNTTVB4AEVkl6umVuUC4BES9HOFhA5th4oXLc
 h5wVIPLRnMPlC+zVKjJjBmrnoajKLS46FJw1e1vXzuMvobUMrvHwpJOWV/NzmwVYVoT8AzyztIyi
 6EgkAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIwLTExLTI0VDA1OjI0OjM5KzAwOjAw6avpNAAAACV0
 RVh0ZGF0ZTptb2RpZnkAMjAyMC0xMS0yNFQwNToyNDozOSswMDowMJj2UYgAAAAASUVORK5CYII=
X-Now-Playing: Laraaji's _Ambient 3: Day Of Radiance_: "Meditation #1"
Date: Tue, 24 Nov 2020 07:06:59 +0100
In-Reply-To: <83wnygz1py.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 20 Nov
 2020 13:50:33 +0200")
Message-ID: <874klfcmpo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > However,
 the implementation
 of archive-copy-file doesn't seem to be > easily scalable to what Vladimir
 requested. It is also sub-optimal > (to say the least) to extract files by
 going through a temp [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44753
Cc: lockywolf@HIDDEN, 44753 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> However, the implementation of archive-copy-file doesn't seem to be
> easily scalable to what Vladimir requested.  It is also sub-optimal
> (to say the least) to extract files by going through a temporary
> buffer, since every archive type has some way of extracting files
> directly.

That's true.  arc-mode is a pretty ambitious package, allowing editing
etc of files in the archives, where some of the backends parse the files
directly in elisp, and some use external programs.

Which is probably why it took so long for somebody to write a simple
"copy" command.

> If nothing else, this will cause serious problems with
> encoding, especially when several files are extracted at once that
> happen to be encoded differently.  And the speed will also be much
> slower than if we use the archiver program to do the extraction.

If we're doing extraction to file directly, then I think arc-mode should
be rewritten to just use external commands for everything, and not
attempt to parse anything in Lisp.

I don't think the speed thing is that vital -- we've lived with this
forever (i.e., using non-native commands for looking at file members).

As for coding systems -- do the native commands do any decoding?  I'd
expect unpacking a zip file to give me exactly the bytes that were in
the files before packing them.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44753; Package emacs. Full text available.

Message received at 44753 <at> debbugs.gnu.org:


Received: (at 44753) by debbugs.gnu.org; 20 Nov 2020 11:50:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 20 06:50:54 2020
Received: from localhost ([127.0.0.1]:42207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kg4wI-0007Ga-FW
	for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 06:50:54 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kg4wH-0007GP-4q
 for 44753 <at> debbugs.gnu.org; Fri, 20 Nov 2020 06:50:53 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52913)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kg4wB-00078C-R3; Fri, 20 Nov 2020 06:50:47 -0500
Received: from [176.228.60.248] (port=1439 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kg4wB-0005tT-49; Fri, 20 Nov 2020 06:50:47 -0500
Date: Fri, 20 Nov 2020 13:50:33 +0200
Message-Id: <83wnygz1py.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87sg94ied8.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 20 Nov 2020 10:09:23 +0100)
Subject: Re: bug#44753: 27.1; arc-mode does not extract marked files
References: <87zh3c4soy.fsf@HIDDEN> <831rgo1mex.fsf@HIDDEN>
 <87sg94ied8.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44753
Cc: lockywolf@HIDDEN, 44753 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Vladimir Nikishkin <lockywolf@HIDDEN>,  44753 <at> debbugs.gnu.org
> Date: Fri, 20 Nov 2020 10:09:23 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > We need first to add a capability to extract archive members to files.
> 
> This was added to the trunk in August.

You are right, I forgot about that, sorry.

However, the implementation of archive-copy-file doesn't seem to be
easily scalable to what Vladimir requested.  It is also sub-optimal
(to say the least) to extract files by going through a temporary
buffer, since every archive type has some way of extracting files
directly.  If nothing else, this will cause serious problems with
encoding, especially when several files are extracted at once that
happen to be encoded differently.  And the speed will also be much
slower than if we use the archiver program to do the extraction.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44753; Package emacs. Full text available.

Message received at 44753 <at> debbugs.gnu.org:


Received: (at 44753) by debbugs.gnu.org; 20 Nov 2020 09:18:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 20 04:18:44 2020
Received: from localhost ([127.0.0.1]:42054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kg2Z2-0003SI-Am
	for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 04:18:44 -0500
Received: from mail-lf1-f47.google.com ([209.85.167.47]:39080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lockywolf@HIDDEN>) id 1kg2Z1-0003S4-7D
 for 44753 <at> debbugs.gnu.org; Fri, 20 Nov 2020 04:18:43 -0500
Received: by mail-lf1-f47.google.com with SMTP id j205so12433015lfj.6
 for <44753 <at> debbugs.gnu.org>; Fri, 20 Nov 2020 01:18:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=bPe1+4IvpbqQZ1QF9vvGnSK0dm6ex7cserDwaEwt4mQ=;
 b=rGdeQFme8eKbbPYbNYivvb7R6KpVpwrQtKz8x9p+J/QBAjG+Ckv7fZFkz3XoxJGEgh
 2Qg1Qeg6+wzYXDj+ZP+lMwCoUtawivPQIkjigvRvFrcjrBQIh+xPKtvAG+qqYJrIJASt
 G/R5m9navI/fLlyBHSTg19BOvAC/YiNSJDgWjr6vZHUNY5IAXCgY2dGqzRJHidiYWG33
 Y90woQ/qxZzw6p+y+D1RIMY6syNxCSPW+hdSe/1lXFFWsobPX+qzOM41f6wf9+s5pmxY
 uOdkKSXdAW43J0tQ1ukQEaxO774NVYehgNnDRDnhhhujO6J6ht7npbOgedSdxmPFyekD
 OoLQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=bPe1+4IvpbqQZ1QF9vvGnSK0dm6ex7cserDwaEwt4mQ=;
 b=X7B05VUNYrJwCjQ845thYYbswAMENZVbZ1bO1ViAkTJ0FxyXNBuJRQzvl7vhGaEER+
 lx6PXbgDmjGuJF3WnlQRKciT4hspizmfYsNgnDmMPcnMODqZ/PWzSdxXXlecN8cVDuTP
 mrcQp8yEfhDRnS0U80dSconzpHp0J6etk4YOclu5xINUuv0jzxG1IzYxfJSTIXJwkpq6
 nVbpdi0Z48gMDt74LvSyWh4D1vD24L5EB9MrWpCacZuRZumefrwcqk/utxgQOOU7tgYv
 6L7UlIENfqna+zc6/VLfPid9tsvbx5VA9t7LwsXHlJbibfrf19oGgY634cdPKDyYh1gB
 jdJA==
X-Gm-Message-State: AOAM530+Yz07FgLdGJXVC04N09Nx3WPN0C+UQEuv6Kp1VbcE54EHcA1L
 p3Hz/5h0afkX7ITmOXSr1Nr7Z3IcRfkyY1KM1bl+fdXj
X-Google-Smtp-Source: ABdhPJxPq7LTkvMPp2ljbnNMfxtZYwdJFmV+bfk3a2wbydB4PzY9HqnuOzLBmn7OqG2VgF/GUilQxJlgWTAfs7pZz1M=
X-Received: by 2002:a05:6512:1112:: with SMTP id
 l18mr8140994lfg.538.1605863916823; 
 Fri, 20 Nov 2020 01:18:36 -0800 (PST)
MIME-Version: 1.0
References: <87zh3c4soy.fsf@HIDDEN> <831rgo1mex.fsf@HIDDEN>
In-Reply-To: <831rgo1mex.fsf@HIDDEN>
From: Vladimir Nikishkin <lockywolf@HIDDEN>
Date: Fri, 20 Nov 2020 17:18:23 +0800
Message-ID: <CA+A2iZY8_4FRxnhDC08PM2qHxMV21VcX_ZB0YBcw5DROexoHog@HIDDEN>
Subject: Re: bug#44753: 27.1; arc-mode does not extract marked files
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000051e96805b4865431"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44753
Cc: 44753 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000051e96805b4865431
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

I can't do that. I'd be happy to, but my company refuses to sign the
copyright disclaimer. :(

I'll try to find out someone who might be willing to write some lisp.

--
Yours sincerely, Vladimir Nikishkin
(Sent with Google mail mobile.)

Eli Zaretskii <eliz@HIDDEN> =E4=BA=8E 2020=E5=B9=B411=E6=9C=8820=E6=97=A5=
=E5=91=A8=E4=BA=94 16:07=E5=86=99=E9=81=93=EF=BC=9A

> > From: Vladimir Nikishkin <lockywolf@HIDDEN>
> > Date: Fri, 20 Nov 2020 11:23:41 +0800
> >
> > I have arc-mode loaded in the init.el like this:
> >
> > ```
> > (use-package arc-mode
> >              :ensure t
> >              :demand t)
> > ```
> >
> > What I do is I visit an archive, mark entries with `m', which adds an
> > asterisk next to their name, and then type `e' or `f', expecting to be
> > asked for a directory name to extract these files to.
> >
> > Instead, I am given an error:
> > archive-get-descr: Line does not describe a member of the archive
> >
> > Can support for such a feature be added?
>
> We need first to add a capability to extract archive members to files.
> This is currently not part of arc-mode.el: it can only "extract" a
> member to a buffer, let you edit it, and then put the edited copy back
> into the buffer.  Extraction to files (a.k.a. "unarchiving") is not
> yet supported.
>
> Would you like to work on adding this to arc-mode.el?
>

--00000000000051e96805b4865431
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto"><div dir=3D"auto">I can&#39;t do that. I&#39;d be happy t=
o, but my company refuses to sign the copyright disclaimer. :(</div><div di=
r=3D"auto"><br></div><div dir=3D"auto">I&#39;ll try to find out someone who=
 might be willing to write some lisp.<br><br><div data-smartmail=3D"gmail_s=
ignature" dir=3D"auto">--<br>Yours sincerely, Vladimir Nikishkin<br>(Sent w=
ith Google mail mobile.)</div></div><br><div class=3D"gmail_quote"><div dir=
=3D"ltr" class=3D"gmail_attr">Eli Zaretskii &lt;<a href=3D"mailto:eliz@gnu.=
org" target=3D"_blank" rel=3D"noreferrer">eliz@HIDDEN</a>&gt; =E4=BA=8E 20=
20=E5=B9=B411=E6=9C=8820=E6=97=A5=E5=91=A8=E4=BA=94 16:07=E5=86=99=E9=81=93=
=EF=BC=9A<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 =
.8ex;border-left:1px #ccc solid;padding-left:1ex">&gt; From: Vladimir Nikis=
hkin &lt;<a href=3D"mailto:lockywolf@HIDDEN" rel=3D"noreferrer noreferre=
r" target=3D"_blank">lockywolf@HIDDEN</a>&gt;<br>
&gt; Date: Fri, 20 Nov 2020 11:23:41 +0800<br>
&gt; <br>
&gt; I have arc-mode loaded in the init.el like this:<br>
&gt; <br>
&gt; ```<br>
&gt; (use-package arc-mode<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 :ensure t<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 :demand t)<br>
&gt; ```<br>
&gt; <br>
&gt; What I do is I visit an archive, mark entries with `m&#39;, which adds=
 an<br>
&gt; asterisk next to their name, and then type `e&#39; or `f&#39;, expecti=
ng to be<br>
&gt; asked for a directory name to extract these files to.<br>
&gt; <br>
&gt; Instead, I am given an error:<br>
&gt; archive-get-descr: Line does not describe a member of the archive<br>
&gt; <br>
&gt; Can support for such a feature be added?<br>
<br>
We need first to add a capability to extract archive members to files.<br>
This is currently not part of arc-mode.el: it can only &quot;extract&quot; =
a<br>
member to a buffer, let you edit it, and then put the edited copy back<br>
into the buffer.=C2=A0 Extraction to files (a.k.a. &quot;unarchiving&quot;)=
 is not<br>
yet supported.<br>
<br>
Would you like to work on adding this to arc-mode.el?<br>
</blockquote></div></div>

--00000000000051e96805b4865431--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44753; Package emacs. Full text available.

Message received at 44753 <at> debbugs.gnu.org:


Received: (at 44753) by debbugs.gnu.org; 20 Nov 2020 09:09:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 20 04:09:42 2020
Received: from localhost ([127.0.0.1]:42046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kg2QI-0003EU-8b
	for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 04:09:42 -0500
Received: from quimby.gnus.org ([95.216.78.240]:51510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kg2QC-0003EB-Hy
 for 44753 <at> debbugs.gnu.org; Fri, 20 Nov 2020 04:09:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=mBSBa7Tase0E+8Vc048WbO2jyV7x5h87tT2jJ54AqUU=; b=SM21A8pBaouM1apbWpwS7tmCWf
 pZ/peDTK/tU2KkWsecUkFgta7F80Cd69SY9f6DhXCwMEm6BXXqkZRxwi4c7lae/pJKedKINO+8gP9
 K+oUgOfvNrN6DV34PlnUyB1fwjNSsOwyOq+Gwu+q7hTSoSbiWROXmGEpBD+snAp4TLTo=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kg2Q0-00029L-JY; Fri, 20 Nov 2020 10:09:29 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#44753: 27.1; arc-mode does not extract marked files
References: <87zh3c4soy.fsf@HIDDEN> <831rgo1mex.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVOSVZ4fI2VoKq6
 xdMuKTH///99uBX5AAAAAWJLR0QF+G/pxwAAAAd0SU1FB+QLFAkIN5YfFmUAAAG5SURBVDjLbdMN
 kqsgDADg6OMAhPEATegBKu4BsJv7n2nzA25fu8x0Kn4mIYiwIB/cGAkRYQzRAajQjsbEiDnup4DC
 Rz1aIQsxySAmAGs5WJ9GzktGWFRPzEkj8kJ2A8ptSdABcFsLKdwsXMsKEiQtmxQqKxTeLTuC5ssL
 +iicBXSxBgXZK9klgdWYwD7GZd4Mjqpzvdl4BHEbcGh/XO0/pPBmqfzONQLyn5C1ehqpmCc0ylBq
 1i3RtMV3JIBy6ogp4NgZmYoH6PZ1JpCooYDVi7UucjJ1CGhVc/kidgOiblviT1rHBg+PwPM2wPtq
 CnddqKWa0AipWGQyIJIJ1hdXvbCDcBa0Gshzt+y/G3B5gejeFuU1/gPN9LCjo6tyiHUq6O8Lkq1q
 NdBYb80We2xWvFPpm8O/a9N7WhSQJOD7AoAlSS8kkeq8IHkqxgH9gs2nNEHqfL8PO85WIwWss5dH
 NJgnPCfsNuv+5Tj0caz8zeru5gnCI8QjpKcL7ORazMNn8gsrh9yTzBHwHJDe4QxoIm8gAfsn+HfT
 /gAvwjV9wBmwf4DwKH9/hzLka/R3wfMFbq8QRWJTHH4AH5/EDheJf70AAAAldEVYdGRhdGU6Y3Jl
 YXRlADIwMjAtMTEtMjBUMDk6MDg6NTUrMDA6MDDkvyb0AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIw
 LTExLTIwVDA5OjA4OjU1KzAwOjAwleKeSAAAAABJRU5ErkJggg==
X-Now-Playing: Robert Fripp's _Exposure_: "North Star"
Date: Fri, 20 Nov 2020 10:09:23 +0100
In-Reply-To: <831rgo1mex.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 20 Nov
 2020 10:07:34 +0200")
Message-ID: <87sg94ied8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > We need first to add
 a capability to extract archive members to files. This was added to the trunk
 in August. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44753
Cc: Vladimir Nikishkin <lockywolf@HIDDEN>, 44753 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> We need first to add a capability to extract archive members to files.

This was added to the trunk in August.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44753; Package emacs. Full text available.

Message received at 44753 <at> debbugs.gnu.org:


Received: (at 44753) by debbugs.gnu.org; 20 Nov 2020 08:07:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 20 03:07:56 2020
Received: from localhost ([127.0.0.1]:41852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kg1SV-0001dX-Sc
	for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 03:07:56 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kg1ST-0001dK-PZ
 for 44753 <at> debbugs.gnu.org; Fri, 20 Nov 2020 03:07:54 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43262)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kg1SO-00014E-Kj; Fri, 20 Nov 2020 03:07:48 -0500
Received: from [176.228.60.248] (port=3737 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kg1SO-00056H-0V; Fri, 20 Nov 2020 03:07:48 -0500
Date: Fri, 20 Nov 2020 10:07:34 +0200
Message-Id: <831rgo1mex.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Vladimir Nikishkin <lockywolf@HIDDEN>
In-Reply-To: <87zh3c4soy.fsf@HIDDEN> (message from Vladimir
 Nikishkin on Fri, 20 Nov 2020 11:23:41 +0800)
Subject: Re: bug#44753: 27.1; arc-mode does not extract marked files
References: <87zh3c4soy.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44753
Cc: 44753 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Vladimir Nikishkin <lockywolf@HIDDEN>
> Date: Fri, 20 Nov 2020 11:23:41 +0800
> 
> I have arc-mode loaded in the init.el like this:
> 
> ```
> (use-package arc-mode
>              :ensure t
>              :demand t)
> ```
> 
> What I do is I visit an archive, mark entries with `m', which adds an
> asterisk next to their name, and then type `e' or `f', expecting to be
> asked for a directory name to extract these files to.
> 
> Instead, I am given an error:
> archive-get-descr: Line does not describe a member of the archive
> 
> Can support for such a feature be added?

We need first to add a capability to extract archive members to files.
This is currently not part of arc-mode.el: it can only "extract" a
member to a buffer, let you edit it, and then put the edited copy back
into the buffer.  Extraction to files (a.k.a. "unarchiving") is not
yet supported.

Would you like to work on adding this to arc-mode.el?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44753; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Nov 2020 03:24:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 19 22:24:29 2020
Received: from localhost ([127.0.0.1]:41559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kfx2B-0002tz-I1
	for submit <at> debbugs.gnu.org; Thu, 19 Nov 2020 22:24:29 -0500
Received: from lists.gnu.org ([209.51.188.17]:58606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lockywolf@HIDDEN>) id 1kfx29-0002tp-3Q
 for submit <at> debbugs.gnu.org; Thu, 19 Nov 2020 22:24:26 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:37142)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <lockywolf@HIDDEN>)
 id 1kfx27-0008MA-BD
 for bug-gnu-emacs@HIDDEN; Thu, 19 Nov 2020 22:24:24 -0500
Received: from mail-pg1-x52e.google.com ([2607:f8b0:4864:20::52e]:36379)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <lockywolf@HIDDEN>)
 id 1kfx1z-00054P-L1
 for bug-gnu-emacs@HIDDEN; Thu, 19 Nov 2020 22:24:22 -0500
Received: by mail-pg1-x52e.google.com with SMTP id t21so6121467pgl.3
 for <bug-gnu-emacs@HIDDEN>; Thu, 19 Nov 2020 19:24:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:message-id:date:mime-version;
 bh=7yeYljZhNH8MzaYsiuJyxDGOKIR5YZf+NloJhmQcL2g=;
 b=fxEWMxMQqdyq/A1WVIj8DFszykpFN7GLew0EcLFsYNhJlaszh1tCDkOwN2Za5Xg8op
 1TtBk1kxKy0ZTvZ0wpK68NdjihWtfmFsWTc/zaHuZfNz4loiaVtj8PA+MlA6LHiFwqy9
 Pmg1+oGj2pd9D8ik1YrFSkDhetT0/JJOrXMs5yIkaqRy9ZcbXg9WXNrgpzNgqZTHzvd7
 wGP/ZJREv6u3/DuMRSVyrD3rHUcNPavY1KUsXiDYO3OxkWyuaZYNP8PLLYO/voMJR4oD
 Zx36z1yNap/jxD6wUiTG/Z40kDjeJ6Atyd8yKrIsbClJ9FEJOpRgBLgNuI7oad/wpwPz
 4wvg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:message-id:date
 :mime-version;
 bh=7yeYljZhNH8MzaYsiuJyxDGOKIR5YZf+NloJhmQcL2g=;
 b=M+VC1ivtHufo0jhxqF1hFpzbHTUN2Yrab67SOv1Xb/G5lUl7uN9vhC0pvxeZuij5rd
 dFajeprHBBb5NnniAG0n6ydGNNU5qnjO8hi0+/D2w+DgA7pCSmvoG9Jwbeznq50TfTsl
 VawCK6LAwhY5UlX7s3whWt5HCJ0zz5i5Irxbm8WLqeQ6rPz1sFsGxER93YQ6J/bJsUeS
 orChHCfo5hcPcQ7MftjrVzGrWHM70YSutsFpXPjc7whf+rZLGKIcweZyqEej20b7QGOX
 gEII2D8/KRjUl+ImX5FPtPawXYhZvmMM5oCinqz9IXbVbLzi2bbVVgM1HS6qXEfQhv47
 oB8g==
X-Gm-Message-State: AOAM531eFNgNH2dZ8FOZDHXrF81pqmqjuEc93gZKgPuZZHaLXy1hp44T
 P/oAhfSr31x23Y7k9V9raQqL99iAHaw=
X-Google-Smtp-Source: ABdhPJwRMSdjPt6xZYKRENM0B3LELaVC1nGnG7HEolxRbKWGbJBlZI9eTeBdsABF06pA/YRFr5yMYA==
X-Received: by 2002:aa7:9f8b:0:b029:18b:9c0e:a617 with SMTP id
 z11-20020aa79f8b0000b029018b9c0ea617mr11743177pfr.16.1605842652555; 
 Thu, 19 Nov 2020 19:24:12 -0800 (PST)
Received: from delllaptop.lockywolf.net (vultr-seoul-openbsd.lockywolf.net.
 [141.164.61.133])
 by smtp.gmail.com with ESMTPSA id j8sm1186908pgb.55.2020.11.19.19.24.04
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 19 Nov 2020 19:24:11 -0800 (PST)
User-agent: mu4e 1.4.13; emacs 27.1
From: Vladimir Nikishkin <lockywolf@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; arc-mode does not extract marked files
Message-ID: <87zh3c4soy.fsf@HIDDEN>
Date: Fri, 20 Nov 2020 11:23:41 +0800
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::52e;
 envelope-from=lockywolf@HIDDEN; helo=mail-pg1-x52e.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Hello, everyone.

What I am doing is the following:

I have arc-mode loaded in the init.el like this:

```
(use-package arc-mode
             :ensure t
             :demand t)
```

What I do is I visit an archive, mark entries with `m', which adds an
asterisk next to their name, and then type `e' or `f', expecting to be
asked for a directory name to extract these files to.

Instead, I am given an error:
archive-get-descr: Line does not describe a member of the archive

Can support for such a feature be added?

Yours sincerely,
Vladimir

In GNU Emacs 27.1 (build 1, x86_64-slackware-linux-gnu, GTK+ Version 3.24.22)
 of 2020-08-12 built on z-mp.slackware.lan
Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
System Description: Slackware 14.2 x86_64 (post 14.2 -current)

Recent messages:
[mu4e] Saved (10 lines)
Auto-saving...done
Auto-saving...done
Saving file /home/lockywolf/PIM/Mail-mbsync/lockywolf_at_gmail_com/[Gmail]/Drafts/cur/1605842066.44ac5b50db501339.delllaptop:2,DS...
Wrote /home/lockywolf/PIM/Mail-mbsync/lockywolf_at_gmail_com/[Gmail]/Drafts/cur/1605842066.44ac5b50db501339.delllaptop:2,DS
[mu4e] Saved (10 lines)
M-p is undefined [2 times]
Parsing archive file...done.
archive-get-descr: Line does not describe a member of the archive
Type "q" in help window to restore its previous buffer, C-M-v to scroll help.

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
--program-prefix= --program-suffix= --mandir=/usr/man
--infodir=/usr/info --without-gconf --without-gsettings --with-modules
--with-x --with-x-toolkit=gtk3 --build=x86_64-slackware-linux
'CFLAGS=-O2 -fPIC''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GLIB NOTIFY INOTIFY ACL GNUTLS
LIBXML2 FREETYPE HARFBUZZ XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM
MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LC_COLLATE: C
  value of $LC_TIME: en_GB.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=SCIM
  locale-coding-system: utf-8-unix

Major mode: mu4e:main

Minor modes in effect:
  global-color-identifiers-mode: t
  erc-xdcc-mode: t
  erc-track-mode: t
  erc-spelling-mode: t
  erc-sound-mode: t
  erc-services-mode: t
  erc-ring-mode: t
  erc-page-mode: t
  erc-notifications-mode: t
  erc-notify-mode: t
  erc-networks-mode: t
  erc-netsplit-mode: t
  erc-menu-mode: t
  erc-match-mode: t
  erc-log-mode: t
  erc-list-mode: t
  erc-identd-mode: t
  erc-dcc-mode: t
  erc-pcomplete-mode: t
  erc-capab-identify-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-autojoin-mode: t
  erc-smiley-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  erc-scrolltobottom-mode: t
  idle-org-agenda-mode: t
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  global-flycheck-mode: t
  gdb-many-windows: t
  global-company-mode: t
  auto-insert-mode: t
  global-srecode-minor-mode: t
  global-ede-mode: t
  global-semantic-mru-bookmark-mode: t
  global-semanticdb-minor-mode: t
  global-semantic-decoration-mode: t
  global-semantic-idle-completions-mode: t
  global-semantic-idle-scheduler-mode: t
  global-semantic-idle-summary-mode: t
  pdf-occur-global-minor-mode: t
  global-semantic-highlight-func-mode: t
  global-semantic-stickyfunc-mode: t
  global-semantic-show-parser-state-mode: t
  global-semantic-show-unmatched-syntax-mode: t
  global-semantic-highlight-edits-mode: t
  semantic-mode: t
  global-discover-mode: t
  discover-mode: t
  ido-ubiquitous-mode: t
  ido-everywhere: t
  global-auto-revert-mode: t
  electric-pair-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  global-display-fill-column-indicator-mode: t
  display-fill-column-indicator-mode: t
  global-hi-lock-mode: t
  hi-lock-mode: t
  savehist-mode: t
  recentf-mode: t
  super-save-mode: t
  xterm-mouse-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-layout-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-save-visited-mode: t
  abbrev-mode: t
  overwrite-mode: overwrite-mode-binary

Load-path shadows:
/home/lockywolf/.emacs.d/elpa/company-cmake-0.1/company-cmake hides /home/lockywolf/.emacs.d/elpa/company-20201028.136/company-cmake
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-ledger hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-ledger
/home/lockywolf/.emacs.d/elpa/org-20201109/org-num hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-num
/home/lockywolf/.emacs.d/elpa/org-20201109/org-table hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-table
/home/lockywolf/.emacs.d/elpa/org-20201109/org-duration hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-duration
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-awk hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-awk
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-tangle hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-tangle
/home/lockywolf/.emacs.d/elpa/org-20201109/org-id hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-id
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-calc hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-calc
/home/lockywolf/.emacs.d/elpa/org-20201109/org-element hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-element
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-perl hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-perl
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-js hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-js
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-lilypond hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-lilypond
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-ebnf hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-ebnf
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-eshell hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-eshell
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-mscgen hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-mscgen
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-scheme hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-scheme
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-exp hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-exp
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-beamer hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ox-beamer
/home/lockywolf/.emacs.d/elpa/org-20201109/org-agenda hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-agenda
/home/lockywolf/.emacs.d/elpa/org-20201109/org-clock hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-clock
/home/lockywolf/.emacs.d/elpa/org-20201109/org-ctags hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-ctags
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-sass hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-sass
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-R hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-R
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-ref hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-ref
/home/lockywolf/.emacs.d/elpa/org-20201109/org-tempo hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-tempo
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-rmail hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ol-rmail
/home/lockywolf/.emacs.d/elpa/org-20201109/org-pcomplete hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-pcomplete
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-ascii hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ox-ascii
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-texinfo hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ox-texinfo
/home/lockywolf/.emacs.d/elpa/org-20201109/org-src hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-src
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-html hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ox-html
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-sqlite hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-sqlite
/home/lockywolf/.emacs.d/elpa/org-20201109/org-inlinetask hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-inlinetask
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-icalendar hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ox-icalendar
/home/lockywolf/.emacs.d/elpa/org-20201109/org-attach-git hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-attach-git
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-docview hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ol-docview
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-mhe hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ol-mhe
/home/lockywolf/.emacs.d/elpa/org-20201109/org-goto hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-goto
/home/lockywolf/.emacs.d/elpa/org-20201109/org hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-sed hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-sed
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-vala hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-vala
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-processing hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-processing
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-clojure hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-clojure
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-picolisp hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-picolisp
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-fortran hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-fortran
/home/lockywolf/.emacs.d/elpa/org-20201109/org-version hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-version
/home/lockywolf/.emacs.d/elpa/org-20201109/org-indent hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-indent
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-screen hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-screen
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-org hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ox-org
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-forth hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-forth
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-maxima hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-maxima
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-lua hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-lua
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-abc hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-abc
/home/lockywolf/.emacs.d/elpa/org-20201109/org-datetree hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-datetree
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-gnus hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ol-gnus
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-groovy hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-groovy
/home/lockywolf/.emacs.d/elpa/org-20201109/org-macro hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-macro
/home/lockywolf/.emacs.d/elpa/org-20201109/org-protocol hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-protocol
/home/lockywolf/.emacs.d/elpa/org-20201109/org-archive hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-archive
/home/lockywolf/.emacs.d/elpa/org-20201109/org-compat hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-compat
/home/lockywolf/.emacs.d/elpa/org-20201109/ob hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-ocaml hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-ocaml
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-core hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-core
/home/lockywolf/.emacs.d/elpa/org-20201109/org-attach hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-attach
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-octave hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-octave
/home/lockywolf/.emacs.d/elpa/org-20201109/org-install hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-install
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-bbdb hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ol-bbdb
/home/lockywolf/.emacs.d/elpa/org-20201109/org-crypt hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-crypt
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-publish hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ox-publish
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-makefile hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-makefile
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-latex hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-latex
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-asymptote hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-asymptote
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-lob hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-lob
/home/lockywolf/.emacs.d/elpa/org-20201109/org-keys hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-keys
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-dot hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-dot
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-coq hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-coq
/home/lockywolf/.emacs.d/elpa/org-20201109/org-list hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-list
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-eval hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-eval
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-shen hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-shen
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-info hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ol-info
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-plantuml hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-plantuml
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-md hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ox-md
/home/lockywolf/.emacs.d/elpa/org-20201109/org-capture hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-capture
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-java hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-java
/home/lockywolf/.emacs.d/elpa/org-20201109/org-timer hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-timer
/home/lockywolf/.emacs.d/elpa/org-20201109/org-entities hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-entities
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-table hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-table
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-ruby hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-ruby
/home/lockywolf/.emacs.d/elpa/org-20201109/org-loaddefs hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-loaddefs
/home/lockywolf/.emacs.d/elpa/org-20201109/ox hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ox
/home/lockywolf/.emacs.d/elpa/org-20201109/org-mobile hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-mobile
/home/lockywolf/.emacs.d/elpa/org-20201109/org-feed hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-feed
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-w3m hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ol-w3m
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-python hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-python
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-gnuplot hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-gnuplot
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-stan hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-stan
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-C hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-C
/home/lockywolf/.emacs.d/elpa/org-20201109/org-faces hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-faces
/home/lockywolf/.emacs.d/elpa/org-20201109/org-habit hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-habit
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-org hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-org
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-latex hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ox-latex
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-comint hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-comint
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-eshell hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ol-eshell
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-lisp hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-lisp
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-man hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ox-man
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-J hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-J
/home/lockywolf/.emacs.d/elpa/org-20201109/org-mouse hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-mouse
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-ditaa hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-ditaa
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-hledger hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-hledger
/home/lockywolf/.emacs.d/elpa/org-20201109/org-colview hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-colview
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-io hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-io
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-eww hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ol-eww
/home/lockywolf/.emacs.d/elpa/org-20201109/ol hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ol
/home/lockywolf/.emacs.d/elpa/org-20201109/org-lint hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-lint
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-bibtex hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ol-bibtex
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-irc hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ol-irc
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-css hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-css
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-sql hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-sql
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-shell hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-shell
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-matlab hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-matlab
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-haskell hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-haskell
/home/lockywolf/.emacs.d/elpa/org-20201109/org-macs hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-macs
/home/lockywolf/.emacs.d/elpa/org-20201109/org-plot hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-plot
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-odt hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ox-odt
/home/lockywolf/.emacs.d/elpa/org-20201109/org-refile hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-refile
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-emacs-lisp hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/ob-emacs-lisp
/home/lockywolf/.emacs.d/elpa/org-20201109/org-footnote hides /home/lockywolf/.emacs.d/elpa/org-plus-contrib-20201109/org-footnote
/home/lockywolf/.emacs.d/elpa/org-20201109/ox hides /usr/share/emacs/27.1/lisp/org/ox
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-texinfo hides /usr/share/emacs/27.1/lisp/org/ox-texinfo
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-publish hides /usr/share/emacs/27.1/lisp/org/ox-publish
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-org hides /usr/share/emacs/27.1/lisp/org/ox-org
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-odt hides /usr/share/emacs/27.1/lisp/org/ox-odt
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-md hides /usr/share/emacs/27.1/lisp/org/ox-md
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-man hides /usr/share/emacs/27.1/lisp/org/ox-man
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-icalendar hides /usr/share/emacs/27.1/lisp/org/ox-icalendar
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-html hides /usr/share/emacs/27.1/lisp/org/ox-html
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-ascii hides /usr/share/emacs/27.1/lisp/org/ox-ascii
/home/lockywolf/.emacs.d/elpa/org-20201109/org-timer hides /usr/share/emacs/27.1/lisp/org/org-timer
/home/lockywolf/.emacs.d/elpa/org-20201109/org-tempo hides /usr/share/emacs/27.1/lisp/org/org-tempo
/home/lockywolf/.emacs.d/elpa/org-20201109/org-table hides /usr/share/emacs/27.1/lisp/org/org-table
/home/lockywolf/.emacs.d/elpa/org-20201109/org-protocol hides /usr/share/emacs/27.1/lisp/org/org-protocol
/home/lockywolf/.emacs.d/elpa/org-20201109/org-plot hides /usr/share/emacs/27.1/lisp/org/org-plot
/home/lockywolf/.emacs.d/elpa/org-20201109/org-pcomplete hides /usr/share/emacs/27.1/lisp/org/org-pcomplete
/home/lockywolf/.emacs.d/elpa/org-20201109/org-num hides /usr/share/emacs/27.1/lisp/org/org-num
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-latex hides /usr/share/emacs/27.1/lisp/org/ox-latex
/home/lockywolf/.emacs.d/elpa/org-20201109/ox-beamer hides /usr/share/emacs/27.1/lisp/org/ox-beamer
/home/lockywolf/.emacs.d/elpa/org-20201109/org hides /usr/share/emacs/27.1/lisp/org/org
/home/lockywolf/.emacs.d/elpa/org-20201109/org-version hides /usr/share/emacs/27.1/lisp/org/org-version
/home/lockywolf/.emacs.d/elpa/org-20201109/org-src hides /usr/share/emacs/27.1/lisp/org/org-src
/home/lockywolf/.emacs.d/elpa/org-20201109/org-mouse hides /usr/share/emacs/27.1/lisp/org/org-mouse
/home/lockywolf/.emacs.d/elpa/org-20201109/org-mobile hides /usr/share/emacs/27.1/lisp/org/org-mobile
/home/lockywolf/.emacs.d/elpa/org-20201109/org-macs hides /usr/share/emacs/27.1/lisp/org/org-macs
/home/lockywolf/.emacs.d/elpa/org-20201109/org-macro hides /usr/share/emacs/27.1/lisp/org/org-macro
/home/lockywolf/.emacs.d/elpa/org-20201109/org-loaddefs hides /usr/share/emacs/27.1/lisp/org/org-loaddefs
/home/lockywolf/.emacs.d/elpa/org-20201109/org-list hides /usr/share/emacs/27.1/lisp/org/org-list
/home/lockywolf/.emacs.d/elpa/org-20201109/org-lint hides /usr/share/emacs/27.1/lisp/org/org-lint
/home/lockywolf/.emacs.d/elpa/org-20201109/org-keys hides /usr/share/emacs/27.1/lisp/org/org-keys
/home/lockywolf/.emacs.d/elpa/org-20201109/org-install hides /usr/share/emacs/27.1/lisp/org/org-install
/home/lockywolf/.emacs.d/elpa/org-20201109/org-inlinetask hides /usr/share/emacs/27.1/lisp/org/org-inlinetask
/home/lockywolf/.emacs.d/elpa/org-20201109/org-indent hides /usr/share/emacs/27.1/lisp/org/org-indent
/home/lockywolf/.emacs.d/elpa/org-20201109/org-id hides /usr/share/emacs/27.1/lisp/org/org-id
/home/lockywolf/.emacs.d/elpa/org-20201109/org-habit hides /usr/share/emacs/27.1/lisp/org/org-habit
/home/lockywolf/.emacs.d/elpa/org-20201109/org-goto hides /usr/share/emacs/27.1/lisp/org/org-goto
/home/lockywolf/.emacs.d/elpa/org-20201109/org-footnote hides /usr/share/emacs/27.1/lisp/org/org-footnote
/home/lockywolf/.emacs.d/elpa/org-20201109/org-feed hides /usr/share/emacs/27.1/lisp/org/org-feed
/home/lockywolf/.emacs.d/elpa/org-20201109/org-faces hides /usr/share/emacs/27.1/lisp/org/org-faces
/home/lockywolf/.emacs.d/elpa/org-20201109/org-entities hides /usr/share/emacs/27.1/lisp/org/org-entities
/home/lockywolf/.emacs.d/elpa/org-20201109/org-element hides /usr/share/emacs/27.1/lisp/org/org-element
/home/lockywolf/.emacs.d/elpa/org-20201109/org-duration hides /usr/share/emacs/27.1/lisp/org/org-duration
/home/lockywolf/.emacs.d/elpa/org-20201109/org-datetree hides /usr/share/emacs/27.1/lisp/org/org-datetree
/home/lockywolf/.emacs.d/elpa/org-20201109/org-ctags hides /usr/share/emacs/27.1/lisp/org/org-ctags
/home/lockywolf/.emacs.d/elpa/org-20201109/org-crypt hides /usr/share/emacs/27.1/lisp/org/org-crypt
/home/lockywolf/.emacs.d/elpa/org-20201109/org-compat hides /usr/share/emacs/27.1/lisp/org/org-compat
/home/lockywolf/.emacs.d/elpa/org-20201109/org-colview hides /usr/share/emacs/27.1/lisp/org/org-colview
/home/lockywolf/.emacs.d/elpa/org-20201109/org-clock hides /usr/share/emacs/27.1/lisp/org/org-clock
/home/lockywolf/.emacs.d/elpa/org-20201109/org-capture hides /usr/share/emacs/27.1/lisp/org/org-capture
/home/lockywolf/.emacs.d/elpa/org-20201109/org-attach hides /usr/share/emacs/27.1/lisp/org/org-attach
/home/lockywolf/.emacs.d/elpa/org-20201109/org-attach-git hides /usr/share/emacs/27.1/lisp/org/org-attach-git
/home/lockywolf/.emacs.d/elpa/org-20201109/org-archive hides /usr/share/emacs/27.1/lisp/org/org-archive
/home/lockywolf/.emacs.d/elpa/org-20201109/org-agenda hides /usr/share/emacs/27.1/lisp/org/org-agenda
/home/lockywolf/.emacs.d/elpa/org-20201109/ol hides /usr/share/emacs/27.1/lisp/org/ol
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-w3m hides /usr/share/emacs/27.1/lisp/org/ol-w3m
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-rmail hides /usr/share/emacs/27.1/lisp/org/ol-rmail
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-mhe hides /usr/share/emacs/27.1/lisp/org/ol-mhe
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-irc hides /usr/share/emacs/27.1/lisp/org/ol-irc
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-info hides /usr/share/emacs/27.1/lisp/org/ol-info
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-gnus hides /usr/share/emacs/27.1/lisp/org/ol-gnus
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-eww hides /usr/share/emacs/27.1/lisp/org/ol-eww
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-eshell hides /usr/share/emacs/27.1/lisp/org/ol-eshell
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-docview hides /usr/share/emacs/27.1/lisp/org/ol-docview
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-bibtex hides /usr/share/emacs/27.1/lisp/org/ol-bibtex
/home/lockywolf/.emacs.d/elpa/org-20201109/ol-bbdb hides /usr/share/emacs/27.1/lisp/org/ol-bbdb
/home/lockywolf/.emacs.d/elpa/org-20201109/ob hides /usr/share/emacs/27.1/lisp/org/ob
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-vala hides /usr/share/emacs/27.1/lisp/org/ob-vala
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-tangle hides /usr/share/emacs/27.1/lisp/org/ob-tangle
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-table hides /usr/share/emacs/27.1/lisp/org/ob-table
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-stan hides /usr/share/emacs/27.1/lisp/org/ob-stan
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-sqlite hides /usr/share/emacs/27.1/lisp/org/ob-sqlite
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-sql hides /usr/share/emacs/27.1/lisp/org/ob-sql
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-shen hides /usr/share/emacs/27.1/lisp/org/ob-shen
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-shell hides /usr/share/emacs/27.1/lisp/org/ob-shell
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-sed hides /usr/share/emacs/27.1/lisp/org/ob-sed
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-screen hides /usr/share/emacs/27.1/lisp/org/ob-screen
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-scheme hides /usr/share/emacs/27.1/lisp/org/ob-scheme
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-sass hides /usr/share/emacs/27.1/lisp/org/ob-sass
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-ruby hides /usr/share/emacs/27.1/lisp/org/ob-ruby
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-ref hides /usr/share/emacs/27.1/lisp/org/ob-ref
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-python hides /usr/share/emacs/27.1/lisp/org/ob-python
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-processing hides /usr/share/emacs/27.1/lisp/org/ob-processing
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-plantuml hides /usr/share/emacs/27.1/lisp/org/ob-plantuml
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-picolisp hides /usr/share/emacs/27.1/lisp/org/ob-picolisp
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-perl hides /usr/share/emacs/27.1/lisp/org/ob-perl
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-org hides /usr/share/emacs/27.1/lisp/org/ob-org
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-octave hides /usr/share/emacs/27.1/lisp/org/ob-octave
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-ocaml hides /usr/share/emacs/27.1/lisp/org/ob-ocaml
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-mscgen hides /usr/share/emacs/27.1/lisp/org/ob-mscgen
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-maxima hides /usr/share/emacs/27.1/lisp/org/ob-maxima
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-matlab hides /usr/share/emacs/27.1/lisp/org/ob-matlab
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-makefile hides /usr/share/emacs/27.1/lisp/org/ob-makefile
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-lua hides /usr/share/emacs/27.1/lisp/org/ob-lua
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-lob hides /usr/share/emacs/27.1/lisp/org/ob-lob
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-lisp hides /usr/share/emacs/27.1/lisp/org/ob-lisp
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-lilypond hides /usr/share/emacs/27.1/lisp/org/ob-lilypond
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-ledger hides /usr/share/emacs/27.1/lisp/org/ob-ledger
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-latex hides /usr/share/emacs/27.1/lisp/org/ob-latex
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-js hides /usr/share/emacs/27.1/lisp/org/ob-js
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-java hides /usr/share/emacs/27.1/lisp/org/ob-java
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-io hides /usr/share/emacs/27.1/lisp/org/ob-io
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-hledger hides /usr/share/emacs/27.1/lisp/org/ob-hledger
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-haskell hides /usr/share/emacs/27.1/lisp/org/ob-haskell
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-groovy hides /usr/share/emacs/27.1/lisp/org/ob-groovy
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-gnuplot hides /usr/share/emacs/27.1/lisp/org/ob-gnuplot
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-fortran hides /usr/share/emacs/27.1/lisp/org/ob-fortran
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-forth hides /usr/share/emacs/27.1/lisp/org/ob-forth
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-exp hides /usr/share/emacs/27.1/lisp/org/ob-exp
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-eval hides /usr/share/emacs/27.1/lisp/org/ob-eval
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-eshell hides /usr/share/emacs/27.1/lisp/org/ob-eshell
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-emacs-lisp hides /usr/share/emacs/27.1/lisp/org/ob-emacs-lisp
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-ebnf hides /usr/share/emacs/27.1/lisp/org/ob-ebnf
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-dot hides /usr/share/emacs/27.1/lisp/org/ob-dot
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-ditaa hides /usr/share/emacs/27.1/lisp/org/ob-ditaa
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-css hides /usr/share/emacs/27.1/lisp/org/ob-css
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-core hides /usr/share/emacs/27.1/lisp/org/ob-core
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-coq hides /usr/share/emacs/27.1/lisp/org/ob-coq
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-comint hides /usr/share/emacs/27.1/lisp/org/ob-comint
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-clojure hides /usr/share/emacs/27.1/lisp/org/ob-clojure
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-calc hides /usr/share/emacs/27.1/lisp/org/ob-calc
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-awk hides /usr/share/emacs/27.1/lisp/org/ob-awk
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-asymptote hides /usr/share/emacs/27.1/lisp/org/ob-asymptote
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-abc hides /usr/share/emacs/27.1/lisp/org/ob-abc
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-R hides /usr/share/emacs/27.1/lisp/org/ob-R
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-J hides /usr/share/emacs/27.1/lisp/org/ob-J
/home/lockywolf/.emacs.d/elpa/org-20201109/ob-C hides /usr/share/emacs/27.1/lisp/org/ob-C
/home/lockywolf/.emacs.d/elpa/flim-20201111.1312/sasl hides /usr/share/emacs/27.1/lisp/net/sasl

Features:
(shadow bbdb-com mail-extr ecomplete bbdb-mu4e todo-mode emacsbug
two-column iso-transl arc-mode archive-mode geiser-mode geiser-xref
geiser-compile geiser-debug geiser-gambit geiser-chibi geiser-mit
geiser-chez geiser-chicken geiser-racket geiser-guile info-look
geiser-repl geiser-image geiser-company geiser-doc geiser-menu
geiser-edit geiser-completion geiser-autodoc geiser-eval
geiser-connection geiser-syntax geiser-log geiser-popup image-dired
vcard rng-xsd xsd-regexp rng-cmpct rng-nxml rng-valid nxml-mode
nxml-outln nxml-rap sgml-mode sort find-dired semantic/tag-write
semantic/db-typecache semantic/complete eieio-opt
semantic/decorate/include conf-mode bat-mode pdf-sync pdf-annot
pdf-outline pdf-links pdf-history wdired dired-aux ede/dired cl-print
ielm ffap time-stamp misearch multi-isearch sh-script smie executable
view cal-china lunar solar cal-dst cal-bahai cal-islam cal-hebrew
holidays hol-loaddefs diary-lib diary-loaddefs cal-iso face-remap
company-oddmuse company-keywords company-etags company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-capf company-cmake company-semantic company-template
company-bbdb init rainbow-mode color-identifiers-mode python tramp-sh
tramp tramp-loaddefs trampver tramp-integration files-x tramp-compat
ls-lisp prettify-greek form-feed hamburger-menu tmm erc-xdcc erc-track
erc-spelling erc-sound erc-services erc-ring erc-page
erc-desktop-notifications erc-notify erc-networks erc-netsplit erc-menu
erc-match erc-log erc-list erc-identd erc-dcc erc-pcomplete erc-capab
erc-button erc-fill erc-stamp erc-join manoj-dark-theme org-duration
semantic/tag-file semantic/db-file data-debug cedet-files org-eldoc
image-file ol-eww ol-rmail ol-mhe ol-irc ol-info ol-gnus nnir gnus-sum
gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source
utf7 netrc nnoo parse-time iso8601 gnus-spec gnus-int gnus-range
gnus-win ol-docview ol-bibtex ol-bbdb ol-w3m org-habit sauron-ams-org
sauron-elfeed sauron-identica sauron-jabber sauron-mu4e
sauron-twittering sauron-notifications notifications sauron-org
sauron-erc erc-goodies erc erc-backend erc-compat erc-loaddefs
sauron-dbus sauron cl idle-org-agenda org-agenda org-refile org2blog
ox-wp metaweblog xml-rpc url-http url-auth url-gw nsm hydra lv htmlize
ox-beamer ox-org ox-md ox-odt rng-loc rng-uri rng-parse rng-match rng-dt
rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex
ox-icalendar ox-html table ox-ascii ox-publish ox ob-fortran ob-shell
ob-latex ob-scheme geiser-impl help-fns radix-tree geiser-custom
geiser-base ob-C ob-plantuml org-tempo tempo org-protocol ox-youtube
org-ebib bbdb bbdb-site timezone gnus-dired mu4e desktop frameset
mu4e-org mu4e-main mu4e-view mu4e-headers mu4e-compose mu4e-context
mu4e-draft mu4e-actions rfc2368 mu4e-mark mu4e-message flow-fill
mu4e-proc mu4e-utils mu4e-lists mule-util mu4e-vars mu4e-meta
smtpmail-multi smtpmail sendmail khardel yaml-mode vdirel org-vcard ebib
helm helm-global-bindings helm-easymenu helm-source eieio-compat
helm-multi-match helm-lib ivy delsel ivy-faces ivy-overlay colir color
ebib-reading-list ebib-notes org-element org ob ob-tangle ob-ref ob-lob
ob-table ob-exp org-macro org-footnote org-src ob-comint org-pcomplete
org-list org-faces org-entities org-version ob-emacs-lisp ob-core
ob-eval org-table org-keys org-loaddefs cal-menu calendar cal-loaddefs
ol org-compat org-macs avl-tree ebib-filters ebib-keywords ebib-utils
ebib-db parsebib hl-line bib-cite auctex-latexmk tex-buf latex
latex-flymake flymake-proc flymake warnings tex-ispell tex-style tex
auctex cdlatex texmathp bibretrieve bibtex-utils reftex reftex-loaddefs
reftex-vars bibtex flycheck-plantuml plantuml-mode geiser paredit-menu
paredit scheme-complete scheme lockywolf-helm flycheck-clang-analyzer
f90 magit-bookmark magit-submodule magit-obsolete magit-blame
magit-stash magit-reflog magit-bisect magit-push magit-pull magit-fetch
magit-clone magit-remote magit-commit magit-sequence magit-notes
magit-worktree magit-tag magit-merge magit-branch magit-reset
magit-files magit-refs magit-status magit magit-repos magit-apply
magit-wip magit-log which-func magit-diff smerge-mode diff diff-mode
magit-core magit-autorevert magit-margin magit-transient magit-process
magit-mode git-commit transient magit-git magit-section magit-utils crm
log-edit message rmc rfc822 mml mml-sec epa derived epg epg-config
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader pcvs-util add-log with-editor async-bytecomp async shell
pcomplete vc vc-dispatcher flycheck rx dash flyspell-correct flyspell
ispell gdb-mi bindat gud hideshow foldout noutline outline company pcase
hippie-exp autoinsert ediff ediff-merg ediff-mult ediff-wind ediff-diff
ediff-help ediff-init ediff-util ggtags etags fileloop generator xref
project ewoc srecode/mode semantic/senator srecode/insert
srecode/filters srecode/args ede/speedbar ede/files ede ede/detect
ede/base ede/auto ede/source eieio-speedbar semantic/sb speedbar
sb-image dframe eieio-custom srecode/find srecode/map srecode/ctxt
srecode/compile srecode/dictionary srecode/fields srecode/table srecode
semantic/mru-bookmark semantic/db-mode semantic/decorate/mode
semantic/decorate pulse semantic/bovine/c hideif cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
semantic/bovine/c-by semantic/lex-spp semantic/idle semantic/bovine/gcc
semantic/dep semantic/bovine semantic/analyze/refs semantic/db-find
semantic/db-ref semantic/analyze semantic/sort semantic/scope
semantic/analyze/fcn semantic/db eieio-base semantic/ctxt
semantic/format ezimage semantic/tag-ls semantic/find eshell esh-cmd
esh-ext esh-opt esh-proc esh-io esh-arg esh-module esh-groups esh-util
eww mm-url gnus nnheader gnus-util time-date thingatpt url-queue url
url-proxy url-privacy url-expand url-methods url-history mailcap shr
url-cookie url-domsuf url-util puny svg dom djvu pdf-occur ibuf-ext
ibuffer ibuffer-loaddefs tablist tablist-filter semantic/wisent/comp
semantic/wisent semantic/wisent/wisent semantic/util-modes semantic/util
semantic semantic/tag semantic/lex semantic/fw mode-local find-func
cedet pdf-isearch let-alist pdf-misc imenu pdf-tools pdf-view pdf-cache
pdf-info tq pdf-util advice format-spec doc-view jka-compr image-mode
exif ps-print ps-print-loaddefs ps-def lpr discover-my-major cl-extra
help-mode discover makey woman man server secrets dbus
ido-completing-read+ memoize minibuf-eldef ido xml dired-x dired
dired-loaddefs compile comint ansi-color ring autorevert filenotify
elec-pair display-line-numbers display-fill-column-indicator hi-lock
mic-paren shackle trace windmove edmacro kmacro bookmark
text-property-search pp savehist recentf tree-widget super-save rmail
rmail-loaddefs rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
diminish xt-mouse use-package-ensure-system-package system-packages
cus-edit cus-start cus-load wid-edit use-package use-package-ensure
use-package-delight use-package-diminish use-package-bind-key bind-key
easy-mmode use-package-core init-custom finder-inf tex-site
org2blog-autoloads slime-autoloads w3m-load info package easymenu
browse-url url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json subr-x map url-vars seq
byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 1277462 107909)
 (symbols 48 74802 4)
 (strings 32 309090 17030)
 (string-bytes 1 15192927)
 (vectors 16 136335)
 (vector-slots 8 2491198 165358)
 (floats 8 3105 683)
 (intervals 56 18651 251)
 (buffers 1000 139))

-- 
Vladimir Nikishkin (MiEr, lockywolf)
(Laptop)




Acknowledgement sent to Vladimir Nikishkin <lockywolf@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44753; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 24 Nov 2020 08:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.